import { useFeatures } from './useFeatures';
/**
 * Custom hook that provides access to framework-specific feature flags.
 * It returns the result of the `useFeatures` hook from the `featureFlag` module.
 * @returns The result of the `useFeatures` hook.
 * @throws Error if feature flagging is not enabled in the framework.
 */
export declare const useFrameworkFeatures: () => ReturnType<typeof useFeatures>;
export default useFrameworkFeatures;
